MALLOC_REVOKE(3)

NAME
malloc_revoke - trigger a revocation pass

LIBRARY
libc

SYNOPSIS
#include <stdlib.h>
void
malloc_revoke(void);

DESCRIPTION
On systems supporting revocation, triggers a full revocation pass, returning when the pass is complete. This results in the revocation of all pointers staged for quarantine. Depending on their implementation, this may be a subset of pointers previously passed to free(3) or realloc(3). Individual implementations may provide stronger guarantees (e.g., an allocator might guarantee that all pointers to objects freed by the current thread will be revoked).

SEE ALSO
free(3), realloc(3)

AUTHORS
This software and this manual page were developed by SRI International and the University of Cambridge Computer Laboratory (Department of Computer Science and Technology) under contract (HR0011-18-C-0016) (“ECATS”), as part of the DARPA SSITH research programme.